<?php
///////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////// RBS functios

/*-------------------------------------------*/
/*  Load theme options
/*-------------------------------------------*/
    require( dirname( __FILE__ ) . '/inc/rbs-theme-customizer.php' );
    require( dirname( __FILE__ ) . '/inc/rbs-theme-options.php' );

add_action('wp_enqueue_scripts','bizvektor_rbs_include_js');
function bizvektor_rbs_include_js(){
    wp_deregister_script('jquery');
    wp_enqueue_script( 'countdown-script', get_template_directory_uri().'/js/cowntdown.min.js', array('jquery'), '1.0.0', false );
    wp_enqueue_script( 'sidr-script', get_template_directory_uri()."/js/jquery.sidr.min.js", array('jquery'), '1.0.0', false );
    wp_enqueue_script('jquery','//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js');
}
/*-------------------------------------------*/
/* ヘッダーに追加出力
/*-------------------------------------------*/
function biz_vektor_header_function(){
    echo '<link rel="stylesheet" id="bizvektor-sns-css"  href="'.get_template_directory_uri().'/css/jquery.sidr.dark.css" type="text/css" media="all" />';
}
//add_action('wp_head', 'biz_vektor_header_function');

/*-------------------------------------------*/
/*  ナンバーエリアのテキスト出力
/*-------------------------------------------*/
add_filter('headContactCustom','biz_vektor_rbs_headContactCustom');
function biz_vektor_rbs_headContactCustom($headContact){
    $options = biz_vektor_get_rbs_theme_options();
    if ($options['ta_text'] && !$options['cd_display_header_enable']){
        $headContact = '<div id="rbsHeadBnr">'."\n".$options['ta_text']."\n".'</div>'."\n";
    }
    return $headContact;
}

/*-------------------------------------------*/
/*  3番目のウィジェットエリアを定義
/*-------------------------------------------*/
add_action( 'widgets_init', 'biz_vektor_rbs_widgetarea_init');
function biz_vektor_rbs_widgetarea_init(){
    if (function_exists('register_sidebar')) {
    register_sidebar( array(
            'name' => '3番目のウィジェットエリア',
            'id' => 'top-therd-widget-area',
            'description' => '3カラム表示を有効にした際にご使用になれるウィジェットエリアです。',
            'before_widget' => '<div class="therdWidget" id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="localHead">',
            'after_title' => '</h3>',
        ) );
    register_sidebar( array(
            'name' => 'メインコンテンツ(共通)',
            'id' => 'content-widget-area',
            'description' => '全ページのコンテンツエリア上部に表示されます',
            'before_widget' => '<div class="contentsWidget" id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="localHead">',
            'after_title' => '</h3>',
        ) );

    }
}


/*-------------------------------------------*/
/*  トップエリア用グローバルメニュー出力
/*-------------------------------------------*/
function biz_vektor_rbs_generate_gMenu($classes = array()){
    $classes[] = 'itemClose';
    $class = implode(' ', $classes);
    $args = array(
     'theme_location' => 'Header',
     'fallback_cb' => '',
     'echo' => false,
     'walker' => new description_walker()
    );
    $gMenu = wp_nav_menu( $args ) ;
    // メニューがセットされていたら実行
    if ($gMenu) {
        // ナビのHTMLを一旦変数に格納
        $gMenuHtml = '
        <!-- [ #gMenu ] -->
        <div id="gMenu" class="'.$class.'" onclick="showHide(\'gMenu\');">
        <div id="gMenuInner" class="innerBox">
        <h3 class="assistive-text"><span>MENU</span></h3>
        <div class="skip-link screen-reader-text">
            <a href="#content" title="'.__('Skip menu', 'biz-vektor').'">'.__('Skip menu', 'biz-vektor').'</a>
        </div>'."\n";
        $gMenuHtml .= $gMenu."\n";
        $gMenuHtml .= '</div><!-- [ /#gMenuInner ] -->
        </div>
        <!-- [ /#gMenu ] -->'."\n";
        // gMenuのHTMLにフックを設定
        $gMenuHtml = apply_filters( 'bizvektor_gMenuHtml', $gMenuHtml );
        // gMenuのHTMLを出力
        echo $gMenuHtml;
    } // if ($gMenu)
}

/*-------------------------------------------*/
/*  サイドエリア用グローバルメニュー出力
/*-------------------------------------------*/
function biz_vektor_rbs_generate_gMenu_side($classes = array()){
    $class = implode(' ', $classes);
    $args = array(
        'theme_location' => 'Header',
        'depth'       => 3,
        'echo' => false,
        'container'   => False,
    );
    $gMenu = wp_nav_menu( $args );
    if($gMenu||true){
        echo '<!-- ["#gMenuSide"] -->
<div id="gMenuSide" class="'.$class.'" >
<h3 class="localHead">MENU</h3>'."\n";
        echo $gMenu;

        echo '</div>
<!-- /#gMenuSide -->'."\n";

    }
}
/*-------------------------------------------*/
/*  RBS用のデザインを追加
/*-------------------------------------------*/
add_filter('biz_vektor_themePlus','themePlusRBS');
function themePlusRBS($biz_vektor_theme_styles){

    $biz_vektor_theme_styles['rbs_std']['label'] = 'RBS';
    $biz_vektor_theme_styles['rbs_std']['cssPath'] = get_stylesheet_directory_uri().'/design_skins/rbs_std/css/rbs_std.css';
    $biz_vektor_theme_styles['rbs_std']['cssPathOldIe'] = get_stylesheet_directory_uri().'/design_skins/rbs_std/css/rbs_std_old_ie.css';

    return $biz_vektor_theme_styles;
}

/*-------------------------------------------*/
/* ショートコード
/*-------------------------------------------*/
add_shortcode('rbs_img_url', 'code_rbs_img_url');
function code_rbs_img_url($atts) {
    return home_url().'/wp-content/uploads/rbs_image/';
}

/*-------------------------------------------*/
/*  カウントダウンを出力
/*-------------------------------------------*/
function biz_vektor_display_cowntdown($cllasses=array()){
    $options = biz_vektor_get_rbs_theme_options();
    if(time() <= $options['cd_date']){
    $rnd = rand('100','999');
    if(in_array('widget', $cllasses)){ $format = "%D"; }
    else{ $format = "%D%H%M%S"; }
    $cllasses[] = "cowntdown_widget";
    $cllasses[] = "pettern_".$options['cd_display_design'];
    $class = implode(" ", $cllasses);
?>
        <script type="text/javascript"><!--
setInterval( 'countDown(<?php echo $options['cd_date']; ?>,"<?php echo $format; ?>", "countdown<?php echo $rnd; ?>")',1000);
// --></script>
<div class="<?php echo $class; ?>">
<span class="cowntdown_text"><?php echo $options['cd_text']; ?></span>
<span id="countdown<?php echo $rnd; ?>" class="cdtext">CountDown Loading</span>
</div>
    <?php
    }
}


add_filter('body_class', 'rbs_set_bodyclass');
function rbs_set_bodyclass($classes) {
    $options = biz_vektor_get_rbs_theme_options();
    if($options['no-margin']){
        $classes[] = 'no-margin';
    }
    return $classes;
}

function custom_login() { ?>
<style>
#login {padding-top:3%;}
#login h1 a{ background-image: url("<?php echo get_template_directory_uri(); ?>/images/admin_logo.png"); background-size: contain; width: 300px;height: 200px;}
#login #wp-submit{ width:100%;margin-top:18px; }

</style>
<?php }
add_action( 'login_enqueue_scripts', 'custom_login' );

/*-------------------------------------------*/
/*  ヘッダーにカスタマイズCSSを追加
/*-------------------------------------------*/
add_action( 'wp_head','biz_vektor_rbs_write_header' , 155);
function biz_vektor_rbs_write_header(){
$options = get_option('biz_vektor_rbs_options');
$key_color = $options['key_color'];
?>
<style type="text/css">
<?php
if($options['footer_bg_visible']){
// フッター背景色
echo ($options['footer_bg_color'])? '#footer_backgroundbox { background: '.$options['footer_bg_color'].'; }' : '';
// フッター背景画像
echo ($options['footer_bg_image'])? '#footer_backgroundbox { background-image: url("'.$options['footer_bg_image'].'"); }' : '';
// フッター背景を薄くする
echo ($options['footer_bg_image_opacity'])? '#footer_background_overray { width:100%;background:rgba(255,255,255,0.3); }' : '';
// フッター背景画像位置
echo ($options['footer_bg_image'])? '#footer_backgroundbox { background-position: '.$options['footer_bg_image_position'].'; }' : '';
// フッター背景のリピート
echo ($options['footer_bg_image'])? '#footer_backgroundbox { background-repeat: '.$options['footer_bg_image_repeat'].'; }':'';
// フッター背景画像のサイズ調整
echo ($options['footer_bg_image_size'])? '#footer_backgroundbox { background-size: cover; }' : '#footer_backgroundbox { background-size: fixed; }';
}else{
    echo '#footer_backgroundbox{ background:none; background-color:none; }';
}
// メインエリアの角丸
echo '#main #container.innerBox{border-radius:';echo ($options['mainarea_radius'] == 'area')? '6px;}' : '0px;}';
// メインコンテンツの文字色
echo ($options['content_color'])? '#container { color: '.$options['content_color'].'; }' : '';
// メインコンテンツの背景色
echo '#container { background-color: '.$options['content_bg_color'].'; }';
// ヘッダービジュアルの表示/非表示
if($options['header_visual_disable'] && is_front_page()){ echo '#header,#headerTop{display:none;}'; }
// ヘッダービジュアルの表示/非表示
//if($options['top_discription_enable']){ echo '#headerTop{display:none;}'; }
//echo ($options['footer_menu_bg'])? '#footMenu ,#gMenu { background:rgba(255,255,255,0.7);}' : '';
// メニューの背景色
echo ($options['menu_size_through'])? '#gMenu{ background-color:'.$options['menu_bg_color'].';}' : '#gMenu .menu li a { background:'.$options['menu_bg_color'].';}';
?>
#footMenu .innerBox a,#footer .innerBox a,#footer dl#footerOutline dt,#footer dl#footerOutline dd,#siteBottom,#siteBottom #powerd, #siteBottom #powerd a,#siteBottom a{color: <?php echo $options['footer_menu_color']; ?>;}
body.custom-background {
background-color:none;
background: <?php echo $options['main_bg_gradation_top'] ?>;
<?php if($options['main_bg_gradation_bot']): ?>
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, <?php echo $options['main_bg_gradation_bot'] ?>), color-stop(100%, <?php echo $options['main_bg_gradation_top'] ?>));
background: -webkit-linear-gradient(top, <?php echo $options['main_bg_gradation_top'] ?> 0%, <?php echo $options['main_bg_gradation_bot'] ?> 100%);
background: -moz-linear-gradient(top, <?php echo $options['main_bg_gradation_top'] ?> 0%, <?php echo $options['main_bg_gradation_bot'] ?> 100%);
background: -o-linear-gradient(top, <?php echo $options['main_bg_gradation_top'] ?> 0%, <?php echo $options['main_bg_gradation_bot'] ?> 100%);
background: -ms-linear-gradient(top, <?php echo $options['main_bg_gradation_top'] ?> 0%, <?php echo $options['main_bg_gradation_bot'] ?> 100%);
background: linear-gradient(to bottom, <?php echo $options['main_bg_gradation_top'] ?> 0%, <?php echo $options['main_bg_gradation_bot'] ?> 100%);
-ms-filter:"progid:DXImageTransform.Microsoft.gradient(GradientType=0,startcolorstr=<?php echo $options['main_bg_gradation_top'] ?>, endcolorstr=<?php echo $options['main_bg_gradation_bot'] ?>))";
zoom: 1;
<?php endif; ?>
}
body.custom-background { <?php echo ($options['body_bg_size_ajust'])? 'background-size:100%;':'background-size:auto;'; ?> }
<?php if($options['top_bg_background_enable']): ?>
#topMainBnr {
background: <?php echo $options['top_bg_color_top'] ?>;
<?php if($options['top_bg_color_top'] && $options['top_bg_color_bot']): ?>
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, <?php echo $options['top_bg_color_bot'] ?>), color-stop(100%, <?php echo $options['top_bg_color_top'] ?>));
background: -webkit-linear-gradient(top, <?php echo $options['top_bg_color_top'] ?> 0%, <?php echo $options['top_bg_color_bot'] ?> 100%);
background: -moz-linear-gradient(top, <?php echo $options['top_bg_color_top'] ?> 0%, <?php echo $options['top_bg_color_bot'] ?> 100%);
background: -o-linear-gradient(top, <?php echo $options['top_bg_color_top'] ?> 0%, <?php echo $options['top_bg_color_bot'] ?> 100%);
background: -ms-linear-gradient(top, <?php echo $options['top_bg_color_top'] ?> 0%, <?php echo $options['top_bg_color_bot'] ?> 100%);
background: linear-gradient(to bottom, <?php echo $options['top_bg_color_top'] ?> 0%, <?php echo $options['top_bg_color_bot'] ?> 100%);
-ms-filter:"progid:DXImageTransform.Microsoft.gradient(GradientType=0,startcolorstr=<?php echo $options['top_bg_color_top'] ?>, endcolorstr=<?php echo $options['top_bg_color_bot'] ?>))";
zoom: 1;
<?php endif; ?>
<?php if($options['top_bg_image_enable'] && $options['top_bg_image']): ?>
background-image: url("<?php echo $options['top_bg_image']; ?>");
<?php endif; ?>
}
<?php endif; ?>
#gMenu li.menu-item > a,
<?php // メインメニューグラデーション  ?>
<?php echo ($options['menu_size_through'])? '#gMenu' : '#gMenu .menu li a' ; ?>
{
background: <?php echo $options['menu_bg_color'] ?>;
<?php if($options['menu_bg_color_bot']): ?>
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,<?php echo $options['menu_bg_color'] ?>), color-stop(100%,<?php echo $options['menu_bg_color_bot'] ?>));
background: -webkit-linear-gradient(top, <?php echo $options['menu_bg_color'] ?> 0%, <?php echo $options['menu_bg_color_bot'] ?> 100%);
background: -moz-linear-gradient(top, <?php echo $options['menu_bg_color'] ?> 0%, <?php echo $options['menu_bg_color_bot'] ?> 100%);
background: -o-linear-gradient(top, <?php echo $options['menu_bg_color'] ?> 0%, <?php echo $options['menu_bg_color_bot'] ?> 100%);
background: -ms-linear-gradient(top, <?php echo $options['menu_bg_color'] ?> 0%, <?php echo $options['menu_bg_color_bot'] ?> 100%);
background: linear-gradient(to bottom, <?php echo $options['menu_bg_color'] ?> 0%, <?php echo $options['menu_bg_color_bot'] ?> 100%);
<?php endif; ?>
}
<?php //// キーカラーを出力                                            ?>
a { color:<?php echo $key_color ; ?>;}
.iconBox,#searchform input[type=submit],p.form-submit input[type=submit],form#searchform input#searchsubmit,#content form input.wpcf7-submit,
#confirm-button input,a.btn,.linkBtn a,input[type=button],input[type=submit] { background-color:<?php echo $key_color ; ?>; }

#headerTop { border-top-color: <?php echo $key_color ; ?>; }
#headContactTel { color:<?php echo $key_color ; ?>;}
#gMenu .menu li:hover li a,#gMenu .menu li.current_page_item li a,#gMenu .menu li.current-menu-ancestor li a,#gMenu .menu li.current-page-ancestor li a,#gMenu .menu li.current_page_ancestor li a,
#gMenu .menu li:hover li a:hover,#gMenu .menu li.current_page_item li a:hover,#gMenu .menu li.current-menu-ancestor li a:hover,#gMenu .menu li.current-page-ancestor li a:hover,
#gMenu .menu li.current_page_ancestor li a:hover { background-color: <?php echo $key_color ; ?>; }
#pageTitBnr #pageTitInner #pageTit { border-left-color:<?php echo $key_color ; ?>; }
#sideTower li#sideContact.sideBnr a,form#searchform input#searchsubmit { background-color:<?php echo $key_color ; ?>; }
.header_area.cowntdown_widget.pettern_3,
.widget.cowntdown_widget.pettern_3 { background-color:<?php echo $key_color ; ?>; }
#content h2,#content h1.contentTitle,#content h1.entryPostTitle{ background-color:<?php echo $key_color ; ?>; }
#content h2.ptn_flag02,#content h2.ptn_balloon:after  { border-top-color:<?php echo $key_color ; ?>; }
#content h2.ptn_flag02:before { color:<?php echo $key_color ; ?>; }
#content h2.ptn_img:before { border-left-color:<?php echo $key_color ; ?>; }
#content h2.ptn_run { border-bottom-color:<?php echo $key_color ; ?>; }
#content h3:before { border-left-color: <?php echo $key_color ; ?>; }
#content h3.ptn_point:before { background: <?php echo $key_color ; ?>; }
#content h3.ptn_point:after { background: <?php echo $key_color ; ?>; }
#content h3.ptn_border:after { border-bottom-color: <?php echo $key_color ; ?>; }
#content hr.ptn_colorDashed { border-top-color: <?php echo $key_color ; ?>; }

#main #container #sideTower .localHead, #main #container #thrdTower .localHead { border-top-color:<?php echo $key_color ; ?>; }
#content .mainFootContact p.mainFootTxt span.mainFootTel { color:<?php echo $key_color ; ?>; }
#content .mainFootContact .mainFootBt a{ background-color: <?php echo $key_color ; ?>; }
#content .child_page_block h4 a{ border-left-color:<?php echo $key_color ; ?>; }
#content .infoList .infoCate a:hover{ background-color:<?php echo $key_color ; ?>; }

.paging span,.paging a{ color:<?php echo $key_color ; ?>;border-color:<?php echo $key_color ; ?>;}
.paging span.current,
.paging a:hover { background-color:<?php echo $key_color ; ?>;}
    /* アクティブのページ */
#thrdTower .therdWidget li a:hover,
#sideTower .sideWidget li a:hover,
#sideTower .sideWidget li.current_page_item a,
#sideTower .sideWidget li.current-cat a { color:<?php echo $key_color ; ?>; }
    /* 親がアクティブの子ページ（リセットする） */
#sideTower .sideWidget li.current-cat li a,
#sideTower .sideWidget li.current_page_item li a    { color:#666;background-color:inherit; }
    /* 親がアクティブの子ページhover */
#sideTower .sideWidget li.current-cat li a:hover,
#sideTower .sideWidget li.current_page_item li a:hover  { color:<?php echo $key_color ; ?>; }
    /* 子がアクティブのページ */
#sideTower .sideWidget li li.current-cat a,
#sideTower .sideWidget li li.current_page_item a { color:<?php echo $key_color ; ?>; }
    /* 子がアクティブの孫ページ（リセットする） */
#sideTower .sideWidget li li.current-cat li a,
#sideTower .sideWidget li li.current_page_item li a { color:#666;background-color:inherit; }
    /* 子がアクティブの孫ページhover */
#sideTower .sideWidget li li.current-cat li a:hover,
#sideTower .sideWidget li li.current_page_item li a:hover { color:<?php echo $key_color ; ?>;}

#pagetop a { background-color: <?php echo $key_color; ?>; }
.moreLink a,.moreLink a:hover { background-color: <?php echo $key_color; ?>; }

#content #topPr h3 a { border-left-color:<?php echo $key_color; ?>; }

#footer_backgroundbox { border-top-color:<?php echo $key_color; ?>; }

#footerSiteMap .menu li a:before,
#footerSiteMap .menu li ul li a:before { color:<?php echo $key_color; ?>; }

.header_area.cowntdown_widget.pettern_2,
.widget.cowntdown_widget.pettern_2  { border-color:<?php echo $key_color ; ?>; }

.header_area.cowntdown_widget.pettern_2 .date_number,
.widget.cowntdown_widget.pettern_2 .date_number{ background-color:<?php echo $key_color ; ?>; }

#gMenuSide li a { background-color: <?php echo $key_color ; ?>; }
#main #container #thrdTower li.sideBnr#sideContact a { background-color:<?php echo $key_color ; ?>; }

.sidr #sidr-id-menuber{ background:<?php echo $key_color ; ?>; }
.sidr ul li a:before, .sidr ul li ul li a:before { color:<?php echo $key_color ; ?>; }

#gMenu{display: none;}#mMenu { width :300px; display:block; float:left; position: fixed; background-color:#fff;}
@media (min-width: 770px) {
    #gMenu{display: block;}
<?php
// メニューの背景画像
if($options['menu_bg_visible_disable']){
    echo '#gMenu, #gMenu .menu li a,#gMenu .menu li { background: none; }';
}
elseif($options['menu_bg_image_enable']){
    echo ($options['menu_size_through'])? '#gMenu{ background:url("'.$options['menu_bg_image'].'");background-size:auto;}' : '#gMenu .menu{ background:url("'.$options['menu_bg_image'].'");background-size:auto;}';
    echo '#gMenu .menu li{background:none;}#gMenu li.menu-item > a, #gMenu .menu li a{background:none;}';
}
// メニューの文字色
echo '#gMenu .menu li a{color:'.$options['menu_color'].';}';
// メニューの区切り線の色
echo '#gMenu .menu li a{ border-right: 1px solid '.$options['menu_border_color'].';}';
if($options['menu_size_through']){
    echo '#gMenu .menu li:first-child a{border-left: 1px solid '.$options['menu_border_color'].';}';
    echo '#gMenu .menu li:last-child a{border-right: 1px solid '.$options['menu_border_color'].';}';
}
// メニューの角丸
if($options['menu_block_radius'] != 'none'){
    if($options['menu_block_radius'] == 'botton'){
        echo '#gMenu ul.menu > li a{ border-radius:6px; }';
        echo '#gMenu ul.menu > li { border-radius:6px;border:none; }';
    }else{
        if($options['menu_size_through']){
            echo '#gMenu{ border-radius:6px; }';
        }else{
            echo '#gMenu ul.menu > li:first-child > a{ border-radius:6px 0 0 6px; }';
            echo '#gMenu ul.menu > li:first-child { border-radius:6px 0 0 6px; }';
            echo '#gMenu ul.menu > li:last-child > a{ border-radius:0 6px 6px 0; }';
            echo '#gMenu ul.menu > li:last-child { border-radius:0 6px 6px 0; }';
        }
    }
}

?>
}
<?php if($options['custom_css']){  echo $options['custom_css'];  } ?>
</style>

<?php
}
function biz_vektor_rbs_hook_scripts(){
    ?>
<script type="text/javascript">

jQuery(function( $ ) {
$(document).ready(function(){
 $(".button").sidr({
      source: '#mobileMenu',
      body: 'body',
      side: 'right'
    });
});
});
</script>
<?php
}
add_action('wp_footer', 'biz_vektor_rbs_hook_scripts',100);


function dbg($value,$label=""){
    $options = get_option('biz_vektor_rbs_options');
    if(false&&$options['debug_mode']){
        echo "<pre>";
        print $label."\n";
        print_r($value);
        echo "</pre>";
    }
}